Bug 39292 - SUN jdk1.3 cannot work with RedHat 7.1
Summary: SUN jdk1.3 cannot work with RedHat 7.1
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: make   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-06 23:41 UTC by Need Real Name
Modified: 2007-03-27 03:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-06 23:41:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-05-06 23:41:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
SUN jdk1.3 cannot work with RedHat 7.1
( java, javac, jar ,...... They cannot not work)

How reproducible:
Always

Steps to Reproduce:
1.java
2.javac
3.jar
	

Actual Results:  /usr/java/jdk1.3.0_02/bin/java: /usr/bin/cut: No 
such file or directory
/usr/java/jdk1.3.0_02/bin/i386/native_threads/java: error while 
loading shared libraries: libjvm.so: cannot load shared object 
file: No such file or directory



Additional info:

Comment 1 Jakub Jelinek 2001-05-07 10:00:08 UTC
Please use Sun JDK 1.3.1RC2 (or later) or read RELEASE-NOTES.
Basically, you should replace /usr/bin/cut referencese in JDK scripts
with either simple cut or /bin/cut (or ln -sf /bin/cut /usr/bin/) and
to work around bugs in JDK you should export LD_ASSUME_KERNEL=2.2.5.


Note You need to log in before you can comment on or make changes to this bug.